org.wildfly.swarm.config.infinispan.cache_container

## Class MixedJDBCStore.MixedJDBCStoreResources

- java.lang.Object
- - org.wildfly.swarm.config.infinispan.cache_container.MixedJDBCStore.MixedJDBCStoreResources

- Enclosing class:
    MixedJDBCStore<T extends MixedJDBCStore<T>>

      public static class MixedJDBCStore.MixedJDBCStoreResources
      extends Object

  Child mutators for MixedJDBCStore

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MixedJDBCStoreResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BehindWrite` | `behindWrite()` Configures a cache store as write-behind instead of write-through.
    `BinaryTable` | `binaryTable()` Defines a table used to store cache entries whose keys cannot be expressed as strings.
    `List<Property>` | `properties()` Get the list of Property resources
    `Property` | `property(String key)`
    `StringTable` | `stringTable()` Defines a table used to store cache entries whose keys can be expressed as strings.
    `ThroughWrite` | `throughWrite()` Configures a cache store as write-through.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MixedJDBCStoreResources

          public MixedJDBCStoreResources()

  - ### Method Detail

    - #### properties

          public List<Property> properties()

      Get the list of Property resources
      Returns:
        the list of resources

    - #### property

          public Property property(String key)

    - #### throughWrite

          public ThroughWrite throughWrite()

      Configures a cache store as write-through.

    - #### behindWrite

          public BehindWrite behindWrite()

      Configures a cache store as write-behind instead of write-through.

    - #### stringTable

          public StringTable stringTable()

      Defines a table used to store cache entries whose keys can be expressed as strings.

    - #### binaryTable

          public BinaryTable binaryTable()

      Defines a table used to store cache entries whose keys cannot be expressed as strings.

Copyright © 2017 JBoss by Red Hat. All rights reserved.